OpenSUSE 42.3/Paketauswahl

Aus Hyperweb & OpenSim
Wechseln zu: Suche

Paketauswahl mit Yast

Achtung! OpenSuse 42.3 enthält die Mono-Version 4.6. Bis einschließlich OpenSim 0.8.2 darf höchstens auf Mono 4.0.x aktualisiert werden. OpenSim 0.9.x, OpenSim (Metro) 0.8.3 und OpenSim Arriba sind auch unter Mono 4.6.x und damit unter OpenSuse 42.3 lauffähig, ältere OpenSim Versionen nicht!

Falls der Provider eine "minimale" Default-Installation "OpenSuse 42.3" anbietet, kann diese als Basissystem übernommen werden, weiteres Abspecken lohnt den Aufwand nicht. Unabhängig vom Provider bietet OpenSuse über Yast in der Paketverwaltung ein Basissystem an unter "Filter -> Patterns", dann wähle "Base System" und zusätzlich "Yast System Administration".

Paket-Repositories in Yast einbinden

Menü "Software -> Software Repositories" auswählen, es öffnet sich der Dialog "Configured Software Repositories". Falls der Provider andere Einträge vorkonfiguriert hat, können die gelöscht werden. Insbesondere über FTP sind später bei geschlossenem FTP-Port eh keine Repositories mehr erreichbar. Danach richte die folgenden Repositories neu ein:

http://download.opensuse.org/distribution/leap/42.3/repo/oss/ (Priorität 99)
http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ (Priorität 100)
http://download.opensuse.org/update/leap/42.3/oss/ (Priorität 20)
http://download.opensuse.org/update/leap/42.3/non-oss/ (Priorität 21)

Eine Abbildung der englischen Version ist in der englischen Anleitung, so sieht der Dialog später nach der Sprachumschaltung aus:

Software-Pakete installieren

Empfehlenswert ist, zuerst ein Online-Update des Betriebssystems durchzuführen.

Menü "Software -> Software Management" auswählen, es öffnet sich der Dialog mit der Paketverwaltung. Jetzt die folgenden Pakete installieren:

=> mariadb
=> mono-complete
=> tmux

=> nginx (nur für Webserver gebraucht)
=> php7-fpm (nur für Webserver mit PHP-CGI Scripten gebraucht)
=> php7-mysql (nur für Webserver mit PHP und SQL Anbindung gebraucht, beispielsweise für CMS, Blogs oder Foren)

Durch die Auswahl werden viele weitere abhängige Pakete installiert.



Weiter: Zeit und Sprachen einstellen